com.sun.messaging.jms.management.server

## Class DestinationLimitBehavior

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationLimitBehavior

    public class DestinationLimitBehavior
    extends java.lang.Object

Class containing information on destination limit behavior. These values specify how a destination responds when a memory-limit threshold is reached.

### Field Summary

Fields
`static java.lang.String` `FLOW_CONTROL` Flow control - the producers are slowed down.
`static java.lang.String` `REJECT_NEWEST` Rejects the newest messages.
`static java.lang.String` `REMOVE_LOW_PRIORITY` Throws out the lowest priority messages according to age of the messages (producing client receives no notification of message deletion).
`static java.lang.String` `REMOVE_OLDEST` Remove oldest - throws out the oldest messages.
`static java.lang.String` `UNKNOWN` Unknown destination limit behavior.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final java.lang.String UNKNOWN

Unknown destination limit behavior.

See Also:
  Constant Field Values

#### FLOW_CONTROL

    public static final java.lang.String FLOW_CONTROL

Flow control - the producers are slowed down.

See Also:
  Constant Field Values

#### REMOVE_OLDEST

    public static final java.lang.String REMOVE_OLDEST

Remove oldest - throws out the oldest messages.

See Also:
  Constant Field Values

#### REJECT_NEWEST

    public static final java.lang.String REJECT_NEWEST

Rejects the newest messages. The producing client gets an exception for rejection of persistent messages only. To use this limit behavior with non-persistent messages, set the imqAckOnProduce connection factory attribute.

See Also:
  Constant Field Values

#### REMOVE_LOW_PRIORITY

    public static final java.lang.String REMOVE_LOW_PRIORITY

Throws out the lowest priority messages according to age of the messages (producing client receives no notification of message deletion).

See Also:
  Constant Field Values